Subject: RE: Window Managers for X11 (fwm2, mwm, twm)
From: "Lincoln, W. Terry" <[email-masked]>
To: "[email-masked]'" <[email-masked]>
Cc: "'Cygwin Mailing List'" <[email-masked]>
Date: Mon, 24 May 1999 10:43:49 -0400

> -----Original Message-----
> From: Samy Alex ZAIMI [mailto:[email-masked]]
> Sent: Monday, May 24, 1999 5:25 AM
> To: [email-masked]
> Subject: Window Managers for X11 (fwm2, mwm, twm)
> 
> 
> Hi all,
> 
> I have cygwin B20.1 on a W95B laptop computer, and
> I am using the free X server from MicroImages.
> I usually lauch 'xs.exe' from the desktop (by
> clicking on an appropriate icon), then from a bash
> shell I use one of the following window managers
> (by the way, are there others around ?) :
> 1. mwm &
> 2. fvwm2 &
> 3. twm &
> Well, I have problems with each of them.
> 
> When I use the first one, I have troubles at start
> up :
> 
>     helios:~$ mwm &
>     [1] 1086
>     helios:~$ Warning: Cannot convert string
> "variable" to type FontStruct
>     Cannot find configuration file.  Using builtin
> defaults.
>      at line 0
>     Xlib:  extension "SHAPE" missing on display
> "127.0.0.1:0.0".
>     Xlib:  extension "SHAPE" missing on display
> "127.0.0.1:0.0".
>     Xlib:  extension "SHAPE" missing on display
> "127.0.0.1:0.0".
>     Xlib:  extension "SHAPE" missing on display
> "127.0.0.1:0.0".
> 
> So, what is going on ?
8< snip

 MicroImages X is not X11R6 compliant it is ~ X11R5

 It does not include support for SHAPE extension (period).
 Therefore MWM which tries to use it and OCLOCK -shape will not
work properly.
 There are other problems to related to your supplied fonts.

 Try using StarNet Xwin-32.  It works well (except for restarting every hour
:-( )

8< snip
> 
> Thanks in advance.
> Dr.-Ing. Samy Alex ZAIMI
> Tohoku University - Sendai (Japan)
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Send a message to [email-masked]
> 

--
Want to unsubscribe from this list?
Send a message to [email-masked]